/**
  This program is free software: you can redistribute it and / or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see < https : //www.gnu.org/licenses/>.
**/


/* Includes ----------------------------------------------------------------- */
#include <Servo.h>

/* Defines ------------------------------------------------------------------ */
#define right_servo_pin 5
#define left_servo_pin  6
#define right_led       7
#define left_led        8
#define min_pulse       1300
#define max_pulse       1700
#define standstill      1500

/* Global variables --------------------------------------------------------- */
Servo g_left_wheel;
Servo g_right_wheel;

/* Functions ---------------------------------------------------------------- */

/* Setup function */
void setup() {



  /* Attact servos to digital pins defined earlier */
  g_left_wheel.attach(left_servo_pin, min_pulse, max_pulse );
  g_right_wheel.attach(right_servo_pin, min_pulse, max_pulse);

  /* Wait to make sure servos were attached */
  delay(10);

  /* Set servos to standstill movement */
  g_left_wheel.writeMicroseconds(standstill);
  g_right_wheel.writeMicroseconds(standstill);
}

/* Infinite loop */
void loop() {
  /* Put the LEDs blink with 1 second interval */
  digitalWrite(right_led, HIGH);
  digitalWrite(left_led, LOW);
  delay(1000);
  digitalWrite(right_led, LOW);
  digitalWrite(left_led, HIGH);
  delay(1000);
}
